summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTheo de Raadt <deraadt@cvs.openbsd.org>1997-04-02 08:35:02 +0000
committerTheo de Raadt <deraadt@cvs.openbsd.org>1997-04-02 08:35:02 +0000
commitb8024b4585a4d6c9f6afdbbb9893cf1b9346ca30 (patch)
tree586fd7abd804fbfda7d84475e449cef3d6c3630f
parent2f0dc0ff8aafef7094acbd44ad6e470ce646b4bd (diff)
use 10 X for mktemp(1)
-rw-r--r--usr.bin/locate/locate/concatdb.sh6
-rw-r--r--usr.bin/locate/locate/mklocatedb.sh8
-rw-r--r--usr.bin/locate/locate/updatedb.sh8
3 files changed, 11 insertions, 11 deletions
diff --git a/usr.bin/locate/locate/concatdb.sh b/usr.bin/locate/locate/concatdb.sh
index 3659a1fb7aa..2a18a2a9efa 100644
--- a/usr.bin/locate/locate/concatdb.sh
+++ b/usr.bin/locate/locate/concatdb.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: concatdb.sh,v 1.4 1997/01/03 23:33:48 millert Exp $
+# $OpenBSD: concatdb.sh,v 1.5 1997/04/02 08:34:59 deraadt Exp $
#
# Copyright (c) September 1995 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
# All rights reserved.
@@ -32,7 +32,7 @@
#
# Sequence of databases is important.
#
-# $Id: concatdb.sh,v 1.4 1997/01/03 23:33:48 millert Exp $
+# $Id: concatdb.sh,v 1.5 1997/04/02 08:34:59 deraadt Exp $
# The directory containing locate subprograms
: ${LIBEXECDIR=/usr/libexec}; export LIBEXECDIR
@@ -58,7 +58,7 @@ case $# in
;;
esac
-bigrams=`mktemp ${TMPDIR=/tmp}/_bigrams.XXXXXX` || exit 1
+bigrams=`mktemp ${TMPDIR=/tmp}/_bigrams.XXXXXXXXXX` || exit 1
trap 'rm -f $bigrams' 0 1 2 3 5 10 15
diff --git a/usr.bin/locate/locate/mklocatedb.sh b/usr.bin/locate/locate/mklocatedb.sh
index 37bd7cd59d9..2da091e7323 100644
--- a/usr.bin/locate/locate/mklocatedb.sh
+++ b/usr.bin/locate/locate/mklocatedb.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: mklocatedb.sh,v 1.4 1997/01/03 23:33:49 millert Exp $
+# $OpenBSD: mklocatedb.sh,v 1.5 1997/04/02 08:35:00 deraadt Exp $
#
# Copyright (c) September 1995 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
# All rights reserved.
@@ -30,7 +30,7 @@
#
# usage: mklocatedb [-presort] < filelist > database
#
-# $Id: mklocatedb.sh,v 1.4 1997/01/03 23:33:49 millert Exp $
+# $Id: mklocatedb.sh,v 1.5 1997/04/02 08:35:00 deraadt Exp $
# The directory containing locate subprograms
@@ -58,9 +58,9 @@ case X"$1" in
X-nosort|X-presort) sortcmd=cat; sortopt=;shift;;
esac
-bigrams=`mktemp ${TMPDIR=/tmp}/_bigrams.XXXXXX` || exit 1
+bigrams=`mktemp ${TMPDIR=/tmp}/_bigrams.XXXXXXXXXX` || exit 1
trap 'rm -f $bigrams' 0 1 2 3 5 10 15
-filelist=`mktemp ${TMPDIR=/tmp}/_filelist.XXXXXX` || exit 1
+filelist=`mktemp ${TMPDIR=/tmp}/_filelist.XXXXXXXXXX` || exit 1
trap 'rm -f $bigrams $filelist' 0 1 2 3 5 10 15
if $sortcmd $sortopt > $filelist; then
diff --git a/usr.bin/locate/locate/updatedb.sh b/usr.bin/locate/locate/updatedb.sh
index 6f4d05d08de..41ccb001b59 100644
--- a/usr.bin/locate/locate/updatedb.sh
+++ b/usr.bin/locate/locate/updatedb.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: updatedb.sh,v 1.7 1997/01/04 01:36:01 millert Exp $
+# $OpenBSD: updatedb.sh,v 1.8 1997/04/02 08:35:01 deraadt Exp $
#
# Copyright (c) September 1995 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
# All rights reserved.
@@ -28,7 +28,7 @@
#
# updatedb - update locate database for local mounted filesystems
#
-# $Id: updatedb.sh,v 1.7 1997/01/04 01:36:01 millert Exp $
+# $Id: updatedb.sh,v 1.8 1997/04/02 08:35:01 deraadt Exp $
LOCATE_CONFIG="/etc/locate.rc"
if [ -f "$LOCATE_CONFIG" -a -r "$LOCATE_CONFIG" ]; then
@@ -45,7 +45,7 @@ USAGE="Usage: $0 [--tmpdir=dir] [--fcodes=dbfile] [--searchpaths='dir1 dir2...']
: ${mklocatedb=locate.mklocatedb} # make locate database program
: ${FCODES=/var/db/locate.database} # the database
-: ${SEARCHPATHS="/"} # directories to be put in the database
+: ${SEARCHPATHS="/"} # directories to be put in the database
: ${PRUNEPATHS="/tmp /usr/tmp /var/tmp"} # unwanted directories
: ${FILESYSTEMS="ffs"} # allowed filesystems
: ${find=find}
@@ -93,7 +93,7 @@ case X"$PRUNEPATHS" in
done;;
esac
-tmp=`mktemp ${TMPDIR=/tmp}/_updatedb.XXXXXX` || exit 1
+tmp=`mktemp ${TMPDIR=/tmp}/_updatedb.XXXXXXXXXX` || exit 1
trap 'rm -rf $tmp' 0 1 2 3 5 10 15
# search locally